### Hierarchy

- DeferredPermissionRequest
  - PermissionRequest

## Index

### Properties

- DeferredPermissionRequest
- id
- state
- type
- uri

### Methods

- allow
- defer
- deny

## Properties

### DeferredPermissionRequest

DeferredPermissionRequest: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3936

#### Type declaration

- ##### constructor: function

  - new __type(): DeferredPermissionRequest
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3937

    #### Returns DeferredPermissionRequest

- ##### prototype: DeferredPermissionRequest

### id

id: number

Inherited from DeferredPermissionRequest.id

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3929

### state

state: MSWebViewPermissionState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11140

### type

type: MSWebViewPermissionType

Inherited from DeferredPermissionRequest.type

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3930

### uri

uri: string

Inherited from DeferredPermissionRequest.uri

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3931

## Methods

### allow

- allow(): void

- Inherited from DeferredPermissionRequest.allow

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3932

  #### Returns void

### defer

- defer(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11141

  #### Returns void

### deny

- deny(): void

- Inherited from DeferredPermissionRequest.deny

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3933

  #### Returns void

Generated using TypeDoc